Loading...
Searching...
No Matches
OBResidueData Class Reference

`#include <openbabel/data.h>`

Inheritance diagram for OBResidueData:
[legend]

## Public Member Functions

| OBResidueData ()
void | ParseLine (const char *)
size_t | GetSize ()
bool | SetResName (const std::string &)
int | LookupBO (const std::string &)
int | LookupBO (const std::string &, const std::string &)
bool | LookupType (const std::string &, std::string &, int &)
bool | AssignBonds (OBMol &)
void | Init ()
void | SetReadDirectory (char *dir)
void | SetEnvironmentVariable (char *var)

## Protected Attributes

bool | _init
const char * | _dataptr
std::string | _filename
std::string | _dir
std::string | _subdir
std::string | _envvar

## Detailed Description

Table of common biomolecule residues (for PDB or other files).

Can assign atom types and bond orders for arbitrary residues

## Constructor & Destructor Documentation

## OBResidueData()

OBResidueData | ( |  | ) |

## Member Function Documentation

## ParseLine()

void ParseLine | ( | const char * |  | ) |

virtual

Specified by particular table classes (parses an individual data line).

Reimplemented from OBGlobalDataBase.

## GetSize()

size_t GetSize | ( |  | ) |

inline virtual

Returns
  the number of residues in the table

Reimplemented from OBGlobalDataBase.

## SetResName()

bool SetResName | ( | const std::string & | s | ) |

Sets the table to access the residue information for a specified residue name

Returns
  whether this residue name is in the table

Referenced by AssignBonds().

## LookupBO() [1/2]

int LookupBO | ( | const std::string & | s | ) |

Returns
  the bond order for the bond specified in the current residue

Deprecated
  Easier to use the two-argument form

Referenced by AssignBonds().

## LookupBO() [2/2]

int LookupBO | ( | const std::string & | s1,
|  | const std::string & | s2 )

Returns
  the bond order for the bond specified between the two specified atom labels

## LookupType()

bool LookupType | ( | const std::string & | atmid,
|  | std::string & | type,
|  | int & | hyb )

Look up the atom type and hybridization for the atom label specified in the first argument for the current residue

Returns
  whether the atom label specified is found in the current residue

Referenced by AssignBonds().

## AssignBonds()

bool AssignBonds | ( | OBMol & | mol | ) |

Assign bond orders, atom types and residues for the supplied OBMol based on the residue information assigned to atoms

## Init()

void Init | ( |  | ) |

inherited

Read in the data file, falling back as needed.

Referenced by OBResidueData::AssignBonds(), OBBondTyper::AssignFunctionalGroupBonds(), OBAtomTyper::AssignHyb(), OBPhModel::AssignSeedPartialCharge(), OBAtomTyper::AssignTypes(), OBRingTyper::AssignTypes(), OBPhModel::CorrectForPH(), OBTypeTable::GetFromType(), OBRotorRules::GetRotorIncrements(), OBTypeTable::GetToType(), OBAtomicHeatOfFormationTable::OBAtomicHeatOfFormationTable(), OBTypeTable::SetFromType(), OBResidueData::SetResName(), OBTypeTable::SetToType(), OBTypeTable::Translate(), OBTypeTable::Translate(), and OBTypeTable::Translate().

## SetReadDirectory()

void SetReadDirectory | ( | char * | dir | ) |

inline inherited

Set the directory before calling Init().

## SetEnvironmentVariable()

void SetEnvironmentVariable | ( | char * | var | ) |

inline inherited

Set the environment variable to use before calling Init().

## Member Data Documentation

## _init

bool _init

protected inherited

Whether the data been read already.

Referenced by OBResidueData::AssignBonds(), OBBondTyper::AssignFunctionalGroupBonds(), OBAtomTyper::AssignHyb(), OBPhModel::AssignSeedPartialCharge(), OBAtomTyper::AssignTypes(), OBRingTyper::AssignTypes(), OBPhModel::CorrectForPH(), OBTypeTable::GetFromType(), OBRotorRules::GetRotorIncrements(), OBTypeTable::GetToType(), Init(), OBAtomicHeatOfFormationTable::OBAtomicHeatOfFormationTable(), OBAtomTyper::OBAtomTyper(), OBBondTyper::OBBondTyper(), OBGlobalDataBase(), OBPhModel::OBPhModel(), OBResidueData::OBResidueData(), OBRingTyper::OBRingTyper(), OBRotorRules::OBRotorRules(), OBTypeTable::OBTypeTable(), OBTypeTable::SetFromType(), OBResidueData::SetResName(), OBTypeTable::SetToType(), OBTypeTable::Translate(), OBTypeTable::Translate(), and OBTypeTable::Translate().

## _dataptr

const char* _dataptr

protected inherited

Default data table if file is unreadable.

Referenced by Init(), OBAtomTyper::OBAtomTyper(), OBBondTyper::OBBondTyper(), OBGlobalDataBase(), OBPhModel::OBPhModel(), OBResidueData::OBResidueData(), OBRotorRules::OBRotorRules(), and OBTypeTable::OBTypeTable().

## _filename

std::string _filename

protected inherited

File to search for.

Referenced by Init(), OBAtomicHeatOfFormationTable::OBAtomicHeatOfFormationTable(), OBAtomTyper::OBAtomTyper(), OBBondTyper::OBBondTyper(), OBPhModel::OBPhModel(), OBResidueData::OBResidueData(), OBRingTyper::OBRingTyper(), OBRotorRules::OBRotorRules(), OBTypeTable::OBTypeTable(), and OBRotorRules::SetFilename().

## _dir

std::string _dir

protected inherited

Data directory for file if _envvar fails.

Referenced by OBAtomicHeatOfFormationTable::OBAtomicHeatOfFormationTable(), OBAtomTyper::OBAtomTyper(), OBBondTyper::OBBondTyper(), OBPhModel::OBPhModel(), OBResidueData::OBResidueData(), OBRingTyper::OBRingTyper(), OBRotorRules::OBRotorRules(), OBTypeTable::OBTypeTable(), and SetReadDirectory().

## _subdir

std::string _subdir

protected inherited

Subdirectory (if using environment variable).

Referenced by Init(), OBAtomicHeatOfFormationTable::OBAtomicHeatOfFormationTable(), OBAtomTyper::OBAtomTyper(), OBBondTyper::OBBondTyper(), OBPhModel::OBPhModel(), OBResidueData::OBResidueData(), OBRingTyper::OBRingTyper(), OBRotorRules::OBRotorRules(), and OBTypeTable::OBTypeTable().

## _envvar

std::string _envvar

protected inherited

Environment variable to check first.

Referenced by Init(), OBAtomicHeatOfFormationTable::OBAtomicHeatOfFormationTable(), OBAtomTyper::OBAtomTyper(), OBBondTyper::OBBondTyper(), OBPhModel::OBPhModel(), OBResidueData::OBResidueData(), OBRingTyper::OBRingTyper(), OBRotorRules::OBRotorRules(), OBTypeTable::OBTypeTable(), and SetEnvironmentVariable().

The documentation for this class was generated from the following files:

- data.h
- data.cpp